Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class DeltaState

    java.lang.Object
      com.atlassian.bamboo.builder.DeltaState

All Implemented Interfaces:
  Serializable

    public class DeltaState

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static DeltaState` | `BROKEN`
`static DeltaState` | `FAILING`
`static DeltaState` | `FIXED`
`static DeltaState` | `NONE`
`static DeltaState` | `PASSING`

Method Summary
`static DeltaState` | `determineDeltaState(BuildState lastBuildState, BuildResults buildResults)`
`static DeltaState` | `determineDeltaState(BuildState lastBuildState, BuildState thisBuildState)`
`boolean` | `equals(Object o)`
`static DeltaState` | `getInstance(String deltaState)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final DeltaState NONE

### PASSING

    public static final DeltaState PASSING

### FAILING

    public static final DeltaState FAILING

### BROKEN

    public static final DeltaState BROKEN

### FIXED

    public static final DeltaState FIXED

Method Detail

### determineDeltaState

    public static DeltaState determineDeltaState(BuildState lastBuildState,
                                                 BuildResults buildResults)

### determineDeltaState

    public static DeltaState determineDeltaState(BuildState lastBuildState,
                                                 BuildState thisBuildState)

### getInstance

    public static DeltaState getInstance(String deltaState)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.